import { Component } from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { CommentBoxComponent } from "./comment-box/comment-box.component";
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { FormControl, ReactiveFormsModule } from '@angular/forms';

@Component({
  selector: 'app-root',
  imports: [RouterOutlet, CommentBoxComponent, MatFormFieldModule, MatInputModule, ReactiveFormsModule],
  templateUrl: './app.component.html',
  styleUrl: './app.component.scss'
})
export class AppComponent {
  title = 'material-mentions';

  selectionList = ["Franz Kaiser", "Melanie Ochse", "Peter Pfeifer", "Hans Wurst", "Hans Ochse", "Max Hintern", "Hansi Hinterseer", "Gustav Gans"];

  form = new FormControl("fdaf <div class=\"mention\">@Franz Kaiser</div><span class=\"focused\">&nbsp;</span>");
  test = '';

  parseComment(comment: FormControl): any {
    if (comment.value)
      return comment.value
  }
}
